Skip to content
Start here

Get Multi-Origin AS (MOAS) prefixes

radar.bgp.routes.moas(RouteMoasParams**kwargs) -> RouteMoasResponse
GET/radar/bgp/routes/moas

Retrieves all Multi-Origin AS (MOAS) prefixes in the global routing tables.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
invalid_only: Optional[bool]

Lookup only RPKI invalid MOASes.

origin: Optional[int]

Lookup MOASes originated by the given ASN.

prefix: Optional[str]
ReturnsExpand Collapse
class RouteMoasResponse:
meta: Meta
data_time: str
query_time: str
total_peers: int
moas: List[Moa]
origins: List[MoaOrigin]
origin: int
peer_count: int
rpki_validation: str
prefix: str

Get Multi-Origin AS (MOAS) prefixes

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.bgp.routes.moas()
print(response.meta)
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "moas": [
      {
        "origins": [
          {
            "origin": 0,
            "peer_count": 0,
            "rpki_validation": "rpki_validation"
          }
        ],
        "prefix": "prefix"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "moas": [
      {
        "origins": [
          {
            "origin": 0,
            "peer_count": 0,
            "rpki_validation": "rpki_validation"
          }
        ],
        "prefix": "prefix"
      }
    ]
  },
  "success": true
}